# CRUD - PHP (Estoque de produtos)
O CRUD-PHP (Estoque de produtos) é um projeto desenvolvido para controle de estoque de empresas que trabalham com produtos, os usuários podem se cadastrar no sistema, cadastrar seus produtos, categorias e seus fornecedores. Para ter um controle básico de seu estoque de produtos.

![](https://img.shields.io/github/languages/top/danielalves96/PHP-CRUD-Stock)

## Screenshots

<table>
	<tr>
		<th width="100%">
			Web Interface<br>
		</th>
	</tr>
	<tr>
		<td width="50%">
			<img width="49.5%" src="https://github.com/danielalves96/Images/blob/master/Projetos/PHP/1.png?raw=true">	<img width="49.5%" src="https://github.com/danielalves96/Images/blob/master/Projetos/PHP/2.png?raw=true">
			<br>
			<img width="49.5%" src="https://github.com/danielalves96/Images/blob/master/Projetos/PHP/3.png?raw=true"> <img width="49.5%" src="https://github.com/danielalves96/Images/blob/master/Projetos/PHP/4.png?raw=true">
			<br>
			<img width="49.5%" src="https://github.com/danielalves96/Images/blob/master/Projetos/PHP/5.png?raw=true"> <img width="49.5%" src="https://github.com/danielalves96/Images/blob/master/Projetos/PHP/6.png?raw=true">
			<br>
			<center>
			<img width="49.5%" src="https://github.com/danielalves96/Images/blob/master/Projetos/PHP/7.png?raw=true">
			<br>
			</center>
		</td>
	</tr>
</table>

<table>
  
## Features

- Cadastro de produtos, categorias e fornecedores;
- Listagem de produtos, categorias e fornecedores;
- Atualização de produtos, categorias e fornecedores;
- Exclusão de produtos, categorias e fornecedores;
- Páginação nas listas de produtos, categorias e fornecedores;
- Filtro de pesquisa de produtos por categorias, fornecedores, nome, número e quantidade;


## Tecnologias utilizadas
Para o desenvolvimento do projeto, foram ulitizados os seguintes recursos:
* [PHP](https://www.php.net/)
* [JavaScript](https://www.javascript.com/)
* [Bootstrap](https://getbootstrap.com/)
* [DataTables](https://datatables.net/)
* [jQuery](https://jquery.com/)
* [XAMPP](https://www.apachefriends.org/pt_br/index.html)
* [MySQL](https://www.mysql.com/)
* [Visual Studio Code](https://code.visualstudio.com/download)

## Desenvolvimento

* **Website**: Construído utilizando PHP nativo, sem o usu de framework.

## Instalação 

* Para executar esse repositório baixe-o para sua maquina ou de um `Git Clone`;

* Instale e inicie o XAMPP (Se estiver utilizando Windows) ou o LAMP (se estiver usando Linux);

* Coloque os arquivos PHP na pasta “htdocs” dentro da pasta “XAMMP” ou "LAMP";

* Importe o banco de dados disponível na pasta "MySQL";

* Em seu navegador acesse "http://localhost/".

## Contribuições

Contribuições são o que fazem a comunidade open source um lugar incrível para aprender, inspirar e criar. Qualquer contribuição que você fizer será muito apreciada.

1. Faça um Fork do projeto
2. Crie uma Branch para sua Feature (git checkout -b feature/FeatureNova)
3. Adicione suas mudanças (git add .)
4. Comite suas mudanças (git commit -m 'Adicionando uma Feature nova!)
5. Faça o Push da Branch (git push origin feature/FeatureNoval)
6. Abra uma Pull Request

## Licença
Distribuído sob a licença MIT. Veja LICENSE para mais informações.
